<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/base_root"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center_horizontal"
        android:orientation="vertical"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingStart="8dp"
            android:paddingTop="24dp"
            android:paddingEnd="8dp"
            android:paddingBottom="8dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_above="@id/buttons"
                android:layout_below="@id/title_container"
                android:paddingTop="8dp">

                <RelativeLayout
                    android:id="@+id/empty_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:gravity="center"
                    android:padding="16dp">


                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:text="@string/no_item_to_pick_text"
                        android:textColor="@color/empty_view_gray"
                        android:textSize="20sp" />

                </RelativeLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/lista_arts"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </RelativeLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/title_container"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/title_text"
                    style="@style/TextViewMaterial.Dialog.HeadlineText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:text="@string/dialog_choose_arts_from_lista_art" />


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_gravity="center">



                    <androidx.appcompat.widget.SearchView
                        android:id="@+id/main_search"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:iconifiedByDefault="true"
                        app:defaultQueryHint="@string/search"
                        app:iconifiedByDefault="false"
                        android:layout_gravity="end"
                        android:tint="@android:color/black"/>

<!--                    <com.google.android.material.button.MaterialButton-->
<!--                        android:id="@+id/button_remove_filter"-->
<!--                        style="@style/Button.DangerOutline"-->
<!--                        android:layout_width="wrap_content"-->
<!--                        android:layout_height="wrap_content"-->
<!--                        android:layout_gravity="center_horizontal"-->
<!--                        android:layout_marginTop="8dp"-->
<!--                        android:text="@string/remove_filter_button"-->
<!--                        android:visibility="@{filterStatus.get() ? View.VISIBLE : View.GONE}"-->
<!--                        app:icon="@drawable/ic_clear_24dp"-->
<!--                        app:layout_constraintLeft_toLeftOf="parent"-->
<!--                        app:layout_constraintRight_toRightOf="parent"-->
<!--                        app:strokeColor="@color/red_400" />-->


                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/buttons"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginStart="4dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="4dp"
                android:paddingBottom="8dp">

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/center_guideline"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent="0.5" />


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/negative_button"
                    style="@style/Button.PrimaryOutline"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    android:text="@string/abort"
                    app:layout_constrainedHeight="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/center_guideline"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />


                <com.google.android.material.button.MaterialButton
                    android:id="@+id/positive_button"
                    style="@style/Button.PrimaryFull"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    android:text="@string/confirm"
                    app:layout_constrainedHeight="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="@id/center_guideline"
                    app:layout_constraintTop_toTopOf="parent" />


            </androidx.constraintlayout.widget.ConstraintLayout>

        </RelativeLayout>


    </androidx.cardview.widget.CardView>
</layout>